<?php
// make sure to not include translations
$args['presets']['default'] = array(
	'title' => 'Default',
	'demo' => 'http://demo.mythemeshop.com/newsonline/',
	'thumbnail' => get_template_directory_uri().'/options/demo-importer/demo-files/default/thumb.jpg', // could use external url, to minimize theme zip size
	'menus' => array( 'primary-menu' => 'Secondary Menu', 'secondary-menu' => 'Secondary Menu', 'third-menu' => 'Footer Menu' ), // menu location slug => Demo menu name
	'options' => array( 'show_on_front' => 'posts', 'posts_per_page' => 4 ),
);

$args['presets']['entertainment'] = array(
	'title' => 'Entertainment',
	'demo' => 'http://demo.mythemeshop.com/newsonline-entertainment/',
	'thumbnail' => get_template_directory_uri().'/options/demo-importer/demo-files/entertainment/thumb.jpg', // could use external url, to minimize theme zip size
	'menus' => array( 'primary-menu' => 'Menu 1', 'secondary-menu' => 'Menu 1' ), // menu location slug => Demo menu name
	'options' => array( 'show_on_front' => 'posts', 'posts_per_page' => 8 ),
);

$args['presets']['food'] = array(
	'title' => 'Food',
	'demo' => 'http://demo.mythemeshop.com/newsonline-food/',
	'thumbnail' => get_template_directory_uri().'/options/demo-importer/demo-files/food/thumb.jpg', // could use external url, to minimize theme zip size
	'menus' => array( 'secondary-menu' => 'Footer Menu', 'third-menu' => 'Footer Menu' ), // menu location slug => Demo menu name
	'options' => array( 'show_on_front' => 'posts', 'posts_per_page' => 5 ),
);

$args['presets']['relationship'] = array(
	'title' => 'Relationship',
	'demo' => 'http://demo.mythemeshop.com/newsonline-relationship/',
	'thumbnail' => get_template_directory_uri().'/options/demo-importer/demo-files/relationship/thumb.jpg', // could use external url, to minimize theme zip size
	'menus' => array( 'secondary-menu' => 'Header', 'third-menu' => 'Footer Menu' ), // menu location slug => Demo menu name
	'options' => array( 'show_on_front' => 'posts', 'posts_per_page' => 10 ),
);

$args['presets']['sports'] = array(
	'title' => 'Sports',
	'demo' => 'http://demo.mythemeshop.com/newsonline-sports/',
	'thumbnail' => get_template_directory_uri().'/options/demo-importer/demo-files/sports/thumb.jpg', // could use external url, to minimize theme zip size
	'menus' => array( 'secondary-menu' => 'Secondary Menu', 'third-menu' => 'Footer Menu' ), // menu location slug => Demo menu name
	'options' => array( 'show_on_front' => 'posts', 'posts_per_page' => 8 ),
);

global $mts_presets;
$mts_presets = $args['presets'];